Bug 1000322 - spec file needs to be updated to work with GRUB2
spec file needs to be updated to work with GRUB2
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: memtest86+ (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 772098
Blocks: 1012686
  Show dependency treegraph
 
Reported: 2013-08-23 03:52 EDT by Karel Volný
Modified: 2016-07-19 16:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 772098
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2013-08-23 03:52:49 EDT
After installing memtest86+ there is no boot menu entry for it.
But it had been there in the past, so this is a regression in behaviour.

Note that the package includes `memtest-setup` which is able to detect grub2 and suggests to run grub2-mkconfig. This should be done automatically in postinstall, just like a new kernel appears in the boot menu, just like it worked for memtest86+ with the old grub ...

memtest86+-4.20-9.el7.x86_64
Comment 3 Jaroslav Škarvada 2013-08-23 04:59:07 EDT
(In reply to Karel Volný from comment #0)
> After installing memtest86+ there is no boot menu entry for it.
> But it had been there in the past, so this is a regression in behaviour.
> 
Are you sure? In RHEL-5/6 it is not installed automatically. In RHEL-6 there is:
%bcond_with update_grub

and it is not build --with update_grub.
Comment 4 Karel Volný 2013-09-04 11:03:38 EDT
um, not exactly ... I was relying on anecdotal evidence that "it worked with grub1, it is broken with grub2"

anyways, even if it is desired not to do it automatically, still there's the problem (if I'm not getting things wrong this time :-)) that with grub1 the changes got applied just by running the setup, now you have to run something else ...

this seems a bit odd to me, as I remember the old times when grub1 was a shiny new thing, and we were told that one of the biggest advantages over lilo is that you just modify the config and that's it, no need to run anything afterwards, and now, about fifteen years from that, we are back to do your changes=>run something to get them applied? - that's what I call progres ...
Comment 5 Jaroslav Škarvada 2013-09-04 11:18:59 EDT
Well, this is not easy to accomplish now. To do it with one command, we need to add code that would be able to patch the /boot/grub2/grub.cfg, because we cannot simply regenerate the grub2 config from the templates with the grub2-mkconfig. Really strange things could happen including re-arrangement of the boot menu and/or non-bootable user systems. This is because many users have very ancient grub.cfg and absolutely inadequate grub2 templates.

So, without the code for patching the grub.cfg, it is not safe to do it automatically. But I could add question and/or force command line switch to the setup script.

However this is not an regression, so I suggest moving this to the rawhide as RFE.
Comment 6 Jaroslav Škarvada 2013-09-23 09:55:32 EDT
This is not regression, moving to rawhide as an RFE. Please add comment or reassign back if you don't agree.
Comment 7 Karel Volný 2013-12-05 07:13:01 EST
(In reply to Jaroslav Škarvada from comment #5)
> So, without the code for patching the grub.cfg, it is not safe to do it
> automatically.

ahem, now it comes to my mind ... shouldn't this code already exist within grubby?

> However this is not an regression, so I suggest moving this to the rawhide
> as RFE.

I'm okay with changing to RFE, sorry for the wrong initial assumption

but I'm not exactly sure about reassigning to Fedora - I believe some our customers really use (:-)) memtest so it makes sense to improve it for them ... if we'd like to get some feedback from Fedora comunity at first, it could have been cloned, fixed in Fedora, and the RHEL variant of this bug closed once the new code gets pulled from Fedora to RHEL
Comment 8 Colin Macdonald 2016-07-19 16:42:37 EDT
I took a look to see what the current status is.

I still think its reasonable to expect:

1. "dnf install memtest86+".
2. Reboot
3. See memtest86+ in grub2 menu.

Right now, its more like:

1. "dnf install memtest86+".
2. "memtest-setup"
3. "grub2-mkconfig -o /boot/grub2/grub.cfg"
4. Reboot
5. See memtest86+ in grub2 menu.

(contrast with dnf installing a kernel, where no additional action is required).

Note You need to log in before you can comment on or make changes to this bug.